summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorFam Zheng <famz@redhat.com>2018-03-26 17:03:50 +0800
committerFam Zheng <famz@redhat.com>2018-04-09 15:13:02 +0800
commit185809224a771e0d010046bc77168d4ff5f6096e (patch)
treebefecfc0d2c607b769ffdb9ec76f819cd924dc06 /tests
parent726c9a3b8c55d064527c1dff8276f6e44ce76933 (diff)
downloadqemu-185809224a771e0d010046bc77168d4ff5f6096e.tar.gz
docker: Inline "prep_fail" in run script
We don't source common.rc where prep_fail is defined, so spell out the commands and do what was intended. Signed-off-by: Fam Zheng <famz@redhat.com> Message-Id: <20180326090350.30014-1-famz@redhat.com> Reviewed-by: Thomas Huth <thuth@redhat.com> Signed-off-by: Fam Zheng <famz@redhat.com>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/docker/run2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/docker/run b/tests/docker/run
index 9dd362bb98..7aebf4b569 100755
--- a/tests/docker/run
+++ b/tests/docker/run
@@ -29,7 +29,7 @@ export TEST_DIR=/tmp/qemu-test
mkdir -p $TEST_DIR/{src,build,install}
# Extract the source tarballs
-tar -C $TEST_DIR/src -xf $BASE/qemu.tar || prep_fail "Failed to untar source"
+tar -C $TEST_DIR/src -xf $BASE/qemu.tar || { echo "Failed to untar source"; exit 2; }
if test -f $TEST_DIR/src/Makefile; then
export FEATURES="$FEATURES dtc"
fi